Subject: Re: [RFC Patch] net: reserve ports for applications using fixed port numbers

From: Cong Wang <[email-masked]>
Date: Thu, 04 Feb 2010 11:23:38 +0800

Octavian Purdila wrote:
> On Wednesday 03 February 2010 06:30:07 you wrote:
> 
>> This patch introduces /proc/sys/net/ipv4/ip_local_reserved_ports,
>> it can be used like ip_local_port_range, but this is used to
>> reserve ports for third-party applications which use fixed
>> port numbers within ip_local_port_range.
>>
>> This only affects the applications which call socket functions
>> like bind(2) with port number 0, to prevent the kernel getting the ports
>> within the specified range for them. For applications which use fixed
>> port number, it will have no effects.
> 
> It also affects the case where applications do connect, without previously 
> doing bind, right?

Yeah, I forgot to mention this, sorry.

> 
>> Any comments are welcome.
> 
> I think it might be useful to allow setting individual ports as reserved, not 
> only ranges, for example by using a bitmap. 
> 

This is a good idea, but I am not sure if this will be overkill? :-/
Also, using bitmap is not friendly to sysctl interface, I am afraid.

Thanks!
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html